API Docs
YMS API
Receipt
POST Create Receipt

POST Create receipt

Introduction

Create a new receipt record in the YMS system. This API allows you to submit receipt information including carrier, customer, equipment details, item lines, appointment data, and dynamic field values. The receipt will be registered and assigned a unique identifier upon successful creation.

POST /public/receipt/create

Body Request Parameters

{
  "receiptType": "REGULAR_RECEIPT",
  "poNo": "string",
  "carrierId": "string",
  "externalCarrierId": "string",
  "customerId": "string",
  "referenceNo": "string",
  "equipmentType": "TRAILER",
  "equipmentNo": "string",
  "totalPalletQty": 0,
  "itemLines": [
    {
      "itemId": "string",
      "itemName": "string",
      "itemQty": "string",
      "palletQty": "string",
      "itemSpecDesc": "string",
      "itemSpecName": "string",
      "uomId": "string",
      "qty": "string"
    }
  ],
  "appointmentTime": "string",
  "appointmentId": "string",
  "sealNo": "string",
  "dataChannel": "YMS",
  "eventTime": "string",
  "extraData": "string",
  "carrierName": "string",
  "customerName": "string",
  "dynamicFieldValues": [
    {
      "fieldCode": "string",
      "value": "string",
      "values": [
        "string"
      ]
    }
  ],
  "preferenceLocationType": "SPOT"
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
Item-Bam-ClientheaderstringNonone
x-facility-idheaderstringNonone
bodybodyobjectNonone
» receiptTypebodystringYesReceipt type. Allowed values: REGULAR_RECEIPT, MATERIAL_RECEIVE, RETURN
» poNobodystringYesPurchase order number (Required)
» carrierIdbodystringNoCarrier ID
» externalCarrierIdbodystringNoExternal carrier identifier from external systems
» customerIdbodystringNoCustomer ID
» referenceNobodystringYesReference number
» equipmentTypebodystringNoEquipment type. Allowed values: VEHICLE, TRAILER, CHASSIS, CONTAINER, FLATBED, OTHER
» equipmentNobodystringNoEquipment number (Required)
» totalPalletQtybodyintegerNoTotal pallet quantity
» itemLinesbody[ItemInfo]NoItem information list
»» itemIdbodystringNoItem identifier
»» itemNamebodystringNoItem name
»» itemQtybodystringNoItem quantity
»» palletQtybodystringNoItem pallet Qty
»» itemSpecDescbodystringNoItem spec desc
»» itemSpecNamebodystringNoItem spec name
»» uomIdbodystringNoitem uomId
»» qtybodystringNoqty
» appointmentTimebodystringNoAppointment time (Required)
» appointmentIdbodystringNoAppointment ID
» sealNobodystringNonone
» dataChannelbodystringNoData source channel
» eventTimebodystringNoEvent time for idempotency control
» extraDatabodystringNoExtra data in JSON format
» carrierNamebodystringNoCarrier name
» customerNamebodystringNoCustomer name
» dynamicFieldValuesbody[object]NoDynamic field values
»» fieldCodebodystringYesField code
»» valuebodystringNonone
»» valuesbody[string]NoMulti-select value list, takes priority over value
» preferenceLocationTypebodystringNoPreference location type (SPOT / DOCK / null)

Detailed Description

» receiptType: Receipt type (Required)

Enum Values

PropertyValue
» receiptTypeREGULAR_RECEIPT
» receiptTypeMATERIAL_RECEIVE
» receiptTypeRETURN
» equipmentTypeVEHICLE
» equipmentTypeTRAILER
» equipmentTypeCHASSIS
» equipmentTypeCONTAINER
» equipmentTypeFLATBED
» equipmentTypeOTHER
» dataChannelYMS
» dataChannelWMS
» dataChannelOMS
» dataChannelTMS
» dataChannelFMS
» preferenceLocationTypeSPOT
» preferenceLocationTypeDOCK

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "id": 0,
    "receiptId": "",
    "receiptStatus": "",
    "receiptType": "",
    "poNo": "",
    "carrierId": "",
    "customerId": "",
    "referenceNo": "",
    "equipmentType": "",
    "equipmentNo": "",
    "totalPalletQty": 0,
    "itemLines": [
      {
        "itemId": "",
        "itemName": "",
        "itemQty": "",
        "palletQty": "",
        "itemSpecDesc": "",
        "itemSpecName": "",
        "uomId": "",
        "qty": ""
      }
    ],
    "appointmentTime": "",
    "appointmentId": "",
    "sealNo": "",
    "dataChannel": "",
    "eventTime": "",
    "extraData": "",
    "carrierName": "",
    "customerName": "",
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "values": [
          ""
        ],
        "fieldName": "",
        "longValue": "",
        "shortValue": "",
        "valueType": "",
        "optionsType": "",
        "options": [
          ""
        ]
      }
    ],
    "proNos": [
      ""
    ],
    "invoicePros": [
      ""
    ],
    "doNos": [
      ""
    ],
    "tripNo": "",
    "entryId": "",
    "preferenceLocationType": ""
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRReceiptView